Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1717632 - There should be cluster-monitoring alerts when an operator goes degraded or is unavailable
Summary: There should be cluster-monitoring alerts when an operator goes degraded or i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Abhinav Dahiya
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1762920
TreeView+ depends on / blocked
 
Reported: 2019-06-05 20:34 UTC by Clayton Coleman
Modified: 2019-10-17 19:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1762920 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:31:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 232 0 None closed Bug 1717632: install: add alerts for cluster-version-operator 2020-06-23 08:54:06 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:31:47 UTC

Description Clayton Coleman 2019-06-05 20:34:26 UTC
There are no alerts currently for when a cluster operator goes degraded or unavailable.  We should have alerts for these.

We need to define how long is "bad" (5m?)

These should be back ported to 4.1.z so we can see them in telemetry and cluster administrators know what is happening.  These are important alerts.

We should identify whether the console dashboard should also show these if they're firing (since they're pretty critical)

Comment 1 W. Trevor King 2019-08-14 21:22:19 UTC
Brenton adjusted the Target Release to 4.2.0 on 2019-07-29.  I'm shifting Version to match, since this bug also affects the current 4.2 builds.  If we are planning on backporting fixes for 4.1.z, we should clone a separate bug for that.

Comment 2 W. Trevor King 2019-08-15 18:46:33 UTC
There's a bit of overlap between this effort and bug 1717617 (metrics for ClusterOperator conditions) and bug 1741645 (metrics for ClusterVersion conditions).  Those should be sufficient to feed Telemetry, although this bug's alerts feeding Telemetry too shouldn't hurt, and it also helps get the messages in front of the cluster's local admin who may be more likely to be monitoring their alerts than they are to be monitoring the metrics we're setting up to feed Telemetry.

Comment 6 errata-xmlrpc 2019-10-16 06:31:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.